ldconfig(8)

NOMBRE
ldconfig - configura vínculos del enlazador dinámico durante la ejecución

SINOPSIS
/sbin/ldconfig [-nNvVX] [-C cache] [-f conf] [-r raiz] directorio ...
/sbin/ldconfig -l [-v] biblioteca ...
/sbin/ldconfig -p

DESCRIPCIÓN
ldconfig crea los enlaces y el caché necesarios para las bibliotecas compartidas más recientes que se encuentran en los directorios especificados en la línea de comando, en el archivo /etc/ld.so.conf y en los directorios confiables. /lib y /usr/lib. En algunas arquitecturas de 64 bits como x86-64, /lib y /usr/lib son los directorios confiables para bibliotecas de 32 bits, mientras que /lib64 y /usr/lib64 son utilizado para bibliotecas de 64 bits.

El caché es utilizado por el enlazador en tiempo de ejecución, ld.so o ld-linux.so. ldconfig comprueba el encabezado y los nombres de archivo de las bibliotecas que encuentra al determinar qué versiones deben tener sus enlaces actualizados. ldconfig normalmente debería ser ejecutado por el administrador, ya que puede requerir permiso de escritura en algunos directorios y archivos de su propiedad.

ldconfig buscará solo archivos llamados lib*.so* (para objetos compartidos corrientes) o ld-*.so* (para el propio cargador dinámico). Se ignorarán otros archivos. Además, ldconfig espera que se siga un cierto patrón en la configuración de los enlaces simbólicos, como este ejemplo, donde el archivo intermedio (libfoo.so.1 aquí) es el SONAME de la biblioteca:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

Si no se sigue ese patrón, es posible que tenga problemas de compatibilidad después de actualizar.

OPCIONES

--format=fmt
-c fmt
    (A partir de glibc 2.2) Utiliza el formato de caché fmt: old, new o compat. Desde glibc 2.32, el valor predeterminado es new. Anteriormente era compat.

-C cache
    Utiliza caché en vez de /etc/ld.so.cache.

-f conf
    Utiliza conf en vez de /etc/ld.so.conf.

--ignore-aux-cache
-i
    A partir de la versión 2.7 de glibc se ignora el archivo de caché auxiliar.

-l  (A partir de glibc 2.2) Interpreta cada operando como un nombre de biblioteca y configura sus enlaces. Pensado para usuarios avanzados.

-n  Procesa sólo los directorios especificados en la línea de órdenes; no se procesan los directorios de confianza, ni los especificados en /etc/ld.so.conf. Implica -N.

-N  No reconstruir la caché. A menos que se especifique también -X, los vínculos sí son actualizados.

--print-cache
-p
    Imprime las listas de directorios y bibliotecas candidatas almcenadas en la caché actual.

-r raiz
    Cambia al directorio raíz y lo utiliza como directorio raíz.

--verbose
-v
    Modo verboso. Imprime el número de versión actual, el nombre de cada directorio a medida que se examina, y los enlaces que se crean. Tiene preferencia sobre el modo silencioso.

--version
-V
    Imprime la versión del programa

-X  No actualizar los enlaces. A menos que se especifique también -N, la caché se reconstruye.

ARCHIVOS
/lib/ld.so
    es el cargador/enlazador en tiempo de ejecución.
/etc/ld.so.conf
    Contiene una lista de directorios, uno en cada línea, donde se buscarán las bibliotecas.
/etc/ld.so.cache
    contiene una lista ordenada de bibliotecas que se encuentran en los directorios definidos en /etc/ld.so.conf, así como aquellas que se encuentran en los directorios de confianza.

VÉASE TAMBIÉN
ldd(1), ld.so(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Luis M. Garcia <luismaria.garcia@hispalinux.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.